Skip to main content
`Ctrl`+`K`

# SNESLineSearchRegisterAll

Registers all of the nonlinear solver methods in the `SNESLineSearch` package.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchRegisterAll(void)

Not Collective

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchRegister()`, `SNESLineSearchRegisterDestroy()`

## Level

advanced

## Location

src/snes/linesearch/interface/linesearchregi.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages